# - Config file for the Palisade package
# It defines the following variables
#  PALISADE_INCLUDE_DIRS - include directories for Palisade
#  PALISADE_LIBRARIES    - libraries to link against

get_filename_component(PALISADE_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

# Our library dependencies (contains definitions for IMPORTED targets)
if(NOT Palisade_BINARY_DIR)
  include("${PALISADE_CMAKE_DIR}/PalisadeTargets.cmake")
endif()

# These are IMPORTED targets created by PalisadeTargets.cmake
set(PALISADE_INCLUDE "/usr/local/include/palisade")
set(PALISADE_LIBDIR "/usr/local/lib")
set(PALISADE_LIBRARIES PALISADEcore;PALISADEpke;PALISADEbinfhe  -fopenmp=libomp)
set(PALISADE_STATIC_LIBRARIES   -fopenmp=libomp)
set(PALISADE_SHARED_LIBRARIES PALISADEcore;PALISADEpke;PALISADEbinfhe  -fopenmp=libomp)

set(OPENMP_INCLUDES "" )
set(OPENMP_LIBRARIES "" )

set(PALISADE_CXX_FLAGS "-O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -I/wrkdirs/usr/ports/security/palisade/work/palisade-release-e4136d91b79224d4d38e55839b985f0e5b086418/third-party/google-test/googletest -isystem /usr/local/include -Wall -Werror -O3  -DPALISADE_VERSION=1.11.4  -Wno-unused-private-field -Wno-shift-op-parentheses -fopenmp=libomp -fopenmp=libomp")
set(PALISADE_C_FLAGS "-O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing -Wall -Werror -O3  -DPALISADE_VERSION=1.11.4 -fopenmp=libomp -fopenmp=libomp")

if( "OFF" STREQUAL "Y" )
	set(PALISADE_CXX_FLAGS "${PALISADE_CXX_FLAGS} -DWITH_NTL" )
	set(PALISADE_C_FLAGS "${PALISADE_C_FLAGS} -DWITH_NTL")
endif()

set (PALISADE_EXE_LINKER_FLAGS " -pthread -fstack-protector-strong  ")
